#!/usr/bin/env python
import coral ; metamodel=coral.lang.UML14
import coral

m = metamodel.Model()
c = metamodel.Class()
c.namespace = m

print "---"
for i in m.ownedElement:
    print i.__XMIid__(), i
print "---"

    

a = coral.ModelCopy_One(m, coral.MODELCOPY_DONT_CREATE_NEW_UUIDS)

print a
print a.__XMIid__()

print "---"
for i in a.ownedElement:
    print i.__XMIid__(), i

print "---"
for i in m.ownedElement:
    print i.__XMIid__(), i

print "---"

assert m.__XMIid__() == a.__XMIid__()
assert c.__XMIid__() == a.ownedElement[0].__XMIid__()
